BSON_ITER_AS_DOUBLE(3)

SYNOPSIS

            double
            bson_iter_as_double (const bson_iter_t *iter);

PARAMETERS

    •   iter: A bson_iter_t.

DESCRIPTION

Fetches the current field as if it were a double.

bson_iter_as_double() will cast the following types to double

    •   BSON_TYPE_BOOL

    •   BSON_TYPE_DOUBLE

    •   BSON_TYPE_INT32

    •   BSON_TYPE_INT64

Any other value will return 0.

RETURNS

The value type casted to double.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc